<div class="content bg-gradient-danger-duo">
    <div class="container-fluid px-4 px-md-5 pb-2 pt-5 py-md-5">
        <div class="card shadow px-5">
            <div class="card-header border-0">
                <div class="row align-items-center">
                    <div class="col-12">
                        <h6 class="display-4 mb-0" id="title-new-ticket">Nuevo Ticket</h6>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <form role="form" [formGroup]="newTicket" novalidate (ngSubmit)="onSubmit()">
                    <h6 class="heading-small mb-4">Información de Usuario</h6>
                    <div class="pl-lg-4">
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="input-group input-group-alternative mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <mat-icon class="coloricon">account_circle</mat-icon>
                                        </span>
                                    </div>
                                    <input formControlName="userName" class="form-control"
                                        placeholder="Nombre de Usuario" type="text">
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="input-group input-group-alternative mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <mat-icon class="coloricon">alternate_email</mat-icon>
                                        </span>
                                    </div>
                                    <input formControlName="id" class="form-control" placeholder="Nombre de Usuario"
                                        type="text">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="input-group input-group-alternative mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <mat-icon class="coloricon">format_color_text</mat-icon>
                                        </span>
                                    </div>
                                    <input formControlName="firstName" class="form-control" placeholder="Nombres"
                                        type="text">
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="input-group input-group-alternative mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <mat-icon class="coloricon">format_color_text</mat-icon>
                                        </span>
                                    </div>
                                    <input formControlName="lastName" class="form-control" placeholder="Apellidos"
                                        type="text">
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr class="my-2" />
                    <!-- Address -->
                    <h6 class="heading-small mb-4">Contenido</h6>
                    <div class="pl-lg-4">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="input-group input-group-alternative mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" for="validationCustom03">
                                            <mat-icon class="coloricon">abc</mat-icon>
                                        </span>
                                    </div>
                                    <input formControlName="subject" class="form-control" placeholder="Asunto" id="validationCustom03" required="true"
                                        type="text">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="input-group input-group-alternative mb-3">
                                    <div class="input-group">
                                        <span class="input-group-text"><mat-icon
                                                class="coloricon">edit_note</mat-icon></span>
                                        <textarea formControlName="description" class="form-control"
                                            aria-label="With textarea"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 text-center">
                        <button mat-flat-button type="button"id="buttonSend" class="btn btn-success" [disabled]="isButtonDisabled()" (click)="onSubmit()">
                            <mat-icon>send</mat-icon>
                            Subtmit
                        </button>
                        <button mat-flat-button type="button" class="btn btn-danger" routerLinkActive="active"
                            routerLink="..">
                            <mat-icon>cancel</mat-icon>
                            Cancelar
                        </button>
                        <div type="button">
                            {{dataNewTicket}}
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>